## WebKitDOMHTMLFontElement WebKitDOMHTMLFontElement |

## Functions

gchar * | webkit_dom_html_font_element_get_color ()
void | webkit_dom_html_font_element_set_color ()
gchar * | webkit_dom_html_font_element_get_face ()
void | webkit_dom_html_font_element_set_face ()
gchar * | webkit_dom_html_font_element_get_size ()
void | webkit_dom_html_font_element_set_size ()

## Properties

char * | color | Read / Write
char * | face | Read / Write
char * | size | Read / Write

## Types and Values

struct | WebKitDOMHTMLFontElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLFontElement

## Implemented Interfaces

WebKitDOMHTMLFontElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_font_element_get_color ()

    gchar *
    webkit_dom_html_font_element_get_color
                                   (WebKitDOMHTMLFontElement *self);

`webkit_dom_html_font_element_get_color` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFontElement |

#### Returns

A gchar

### webkit_dom_html_font_element_set_color ()

    void
    webkit_dom_html_font_element_set_color
                                   (WebKitDOMHTMLFontElement *self,
                                    const gchar *value);

`webkit_dom_html_font_element_set_color` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFontElement |
value | A gchar |

### webkit_dom_html_font_element_get_face ()

    gchar *
    webkit_dom_html_font_element_get_face (WebKitDOMHTMLFontElement *self);

`webkit_dom_html_font_element_get_face` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFontElement |

#### Returns

A gchar

### webkit_dom_html_font_element_set_face ()

    void
    webkit_dom_html_font_element_set_face (WebKitDOMHTMLFontElement *self,
                                           const gchar *value);

`webkit_dom_html_font_element_set_face` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFontElement |
value | A gchar |

### webkit_dom_html_font_element_get_size ()

    gchar *
    webkit_dom_html_font_element_get_size (WebKitDOMHTMLFontElement *self);

`webkit_dom_html_font_element_get_size` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFontElement |

#### Returns

A gchar

### webkit_dom_html_font_element_set_size ()

    void
    webkit_dom_html_font_element_set_size (WebKitDOMHTMLFontElement *self,
                                           const gchar *value);

`webkit_dom_html_font_element_set_size` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLFontElement |
value | A gchar |

## Types and Values

### struct WebKitDOMHTMLFontElement

    struct WebKitDOMHTMLFontElement;

## Property Details

### The `“color”` property

      “color”                    char *

read-write gchar* HTMLFontElement:color.

Owner: WebKitDOMHTMLFontElement

Flags: Read / Write

Default value: ""

### The `“face”` property

      “face”                     char *

read-write gchar* HTMLFontElement:face.

Owner: WebKitDOMHTMLFontElement

Flags: Read / Write

Default value: ""

### The `“size”` property

      “size”                     char *

read-write gchar* HTMLFontElement:size.

Owner: WebKitDOMHTMLFontElement

Flags: Read / Write

Default value: ""